# $Revision: 1.18 $, $Date: 2002/10/29 07:56:26 $
Summary:	chkrootkit - locally checks for signs of a rootkit
Summary(pl):	chkrootkit - narzdzie do lokalnego szukania oznak rootkitw
Name:		chkrootkit
Version:	0.37
Release:	1
License:	AMS (BSD like; look at COPYRIGHT)
Group:		Applications/Networking
Source0:	ftp://sunsite.icm.edu.pl/pub/unix/security/chkrootkit/%{name}-%{version}.tar.gz
Source1:	%{name}-check
Source2:	%{name}.sysconfig
Patch0:		%{name}-CC.patch
Patch1:		%{name}-nostrip.patch
Patch2:		%{name}-names.patch
Patch3:		%{name}-wtmp.patch
URL:		http://www.chkrootkit.org/
BuildRequires:	glibc-static
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Requires:	binutils

%description
Chkrootkit is a toolkit to locally check for signs of a rootkit.
 - chkrootkit: a shell script that checks system binaries for rootkit
   modification. (If you can't trust rpm -Va)
 - ifpromisc: checks if the network interface is in promiscuous mode.
   (If you can't trust netstat)
 - chklastlog: checks for lastlog deletions.
 - chkwtmp: checks for wtmp deletions.
 - check_wtmpx: checks for wtmpx deletions. (Solaris only)
 - chkproc: checks for signs of LKM trojans. (kernel modules)
 - strings: quick and dirty strings replacement.

%description -l pl
Chkrootkit to zestaw narzdzi do lokalnego sprawdzania oznak uycia
rootkitw.
 - chkrootkit: skrypt powoki sprawdzajcy binarne pliki systemowe na
   obecno modyfikacji typowych dla rootkitw (jeli nie mona zaufa
   rpm -Va)
 - ifpromisc: sprawdza czy interfejs sieciowy jest w trybie promiscuous
   (gdy nie mona zaufa netstat)
 - chklastlog: sprawdza czy logi nie byy kasowane
 - chkwtmp: sprawdza kasowanie wtmpx
 - check_wtmpx: sprawdza kasowanie w wtmpx deletions (tylko Solaris)
 - chkproc: szuka oznak trojanw LKM (moduy jdra)
 - strings: szybko i brzydko napisany zamiennik programu strings.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
CC=%{__cc}
export CC
%{__make} sense

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},/etc/{sysconfig,cron.weekly}}

for x in check_wtmpx chklastlog chkproc chkwtmp ifpromisc strings; do
	install $x $RPM_BUILD_ROOT/%{_bindir}/%{name}-$x
done

install chkrootkit $RPM_BUILD_ROOT/%{_bindir}

install %{SOURCE1}	$RPM_BUILD_ROOT/etc/cron.weekly/
install %{SOURCE2}	$RPM_BUILD_ROOT/etc/sysconfig/chkrootkit

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYRIGHT README README.chklastlog README.chkwtmp
%attr(750,root,root) /etc/cron.weekly/chkrootkit-check
%attr(640,root,root) %config(noreplace) %verify(not mtime size md5) /etc/sysconfig/chkrootkit
%attr(755,root,root) %{_bindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: chkrootkit.spec,v $
Revision 1.18  2002/10/29 07:56:26  marcus
- fixed install

Revision 1.17  2002/10/28 16:20:12  ankry
- restored -CC patch

Revision 1.16  2002/10/28 14:29:43  kloczek
- cosmetics.

Revision 1.15  2002/09/19 12:12:48  tiwek
- updated to 0.37

Revision 1.14  2002/07/09 14:11:08  blues
- 0.36 (more trojans detected)
- patches updated
STBR

Revision 1.13  2002/05/31 07:52:58  tiwek
- added Requires: binutils

Revision 1.12  2002/04/25 16:05:10  arturs
fixed a small typo

Revision 1.11  2002/02/22 23:28:45  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.10  2002/02/13 15:53:09  blues
- release 3
- added script to crontab (weekly) and sysconfig file
STB

Revision 1.9  2002/02/13 14:16:45  fastviper
- gunzipped -names.patch; patches should not be compressed.

Revision 1.8  2002/02/13 12:05:24  blues
- added wtmp patch (look for wtmpx files)

Revision 1.7  2002/02/13 10:13:07  qboosh
- proper strings pl description, release 2

Revision 1.6  2002/02/12 22:49:41  fastviper
- added patch3 (now changed binaries' names makes sense)

Revision 1.5  2002/02/12 22:08:50  fastviper
- added two patches
- added "chkrootkit-" prefix to all binaries' names.
- build requires glibc-static

Revision 1.4  2002/02/12 20:56:34  qboosh
- fixes in pl translation

Revision 1.3  2002/02/12 20:05:07  kloczek
- cosmetics.

Revision 1.2  2002/02/12 19:52:37  ankry
- typo in Source URL

Revision 1.1  2002/02/12 18:20:22  fastviper
- created this spec and adapterized.
- one of binaries must be linked statically (because of security reasons).
- does rpm strip binaries by itself ?
